# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
set_msg_config  -ruleid {7}  -id {[BD 41-1306]}  -suppress 
set_msg_config  -ruleid {8}  -id {[BD 41-1271]}  -suppress 
create_project -in_memory -part xc7z010clg400-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_msg_config -source 4 -id {IP_Flow 19-2162} -severity warning -new_severity info
set_property webtalk.parent_dir /home/erik/marlin_zynq/marlin_zynq.cache/wt [current_project]
set_property parent.project_path /home/erik/marlin_zynq/marlin_zynq.xpr [current_project]
set_property XPM_LIBRARIES {XPM_CDC XPM_MEMORY} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property ip_repo_paths {
  /home/erik/ip_repo/myip_1.0
  /home/erik/ip_repo/STEPPER_PULSER_1.0
  /home/erik/marlin_zynq/vivado-library
} [current_project]
add_files /home/erik/marlin_zynq/marlin_zynq.sdk/mb_marlin/Debug/mb_marlin.elf
set_property SCOPED_TO_REF Block_design [get_files -all /home/erik/marlin_zynq/marlin_zynq.sdk/mb_marlin/Debug/mb_marlin.elf]
set_property SCOPED_TO_CELLS Microblaze_block/microblaze_0 [get_files -all /home/erik/marlin_zynq/marlin_zynq.sdk/mb_marlin/Debug/mb_marlin.elf]
add_files /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/Block_design.bd
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_processing_system7_0_0/Block_design_processing_system7_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_v_axi4s_vid_out_0_0/Block_design_v_axi4s_vid_out_0_0_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_v_axi4s_vid_out_0_0/Block_design_v_axi4s_vid_out_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_rgb2dvi_0_0/src/rgb2dvi.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_rgb2dvi_0_0/src/rgb2dvi_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_rgb2dvi_0_0/src/rgb2dvi_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_axi_vdma_0_0/Block_design_axi_vdma_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_axi_vdma_0_0/Block_design_axi_vdma_0_0_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_axi_vdma_0_0/Block_design_axi_vdma_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_v_tc_0_0/Block_design_v_tc_0_0_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_v_tc_0_0/Block_design_v_tc_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_axis_subset_converter_0_0/Block_design_axis_subset_converter_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_proc_sys_reset_0_0/Block_design_proc_sys_reset_0_0_board.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_proc_sys_reset_0_0/Block_design_proc_sys_reset_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_proc_sys_reset_0_0/Block_design_proc_sys_reset_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_clk_wiz_0_0/Block_design_clk_wiz_0_0_board.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_clk_wiz_0_0/Block_design_clk_wiz_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_clk_wiz_0_0/Block_design_clk_wiz_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_microblaze_0_0/Block_design_microblaze_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_microblaze_0_0/Block_design_microblaze_0_0_ooc_debug.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_microblaze_0_0/Block_design_microblaze_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_dlmb_v10_0/Block_design_dlmb_v10_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_dlmb_v10_0/Block_design_dlmb_v10_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_ilmb_v10_0/Block_design_ilmb_v10_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_ilmb_v10_0/Block_design_ilmb_v10_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_dlmb_bram_if_cntlr_0/Block_design_dlmb_bram_if_cntlr_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_ilmb_bram_if_cntlr_0/Block_design_ilmb_bram_if_cntlr_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_lmb_bram_0/Block_design_lmb_bram_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_microblaze_0_axi_intc_0/Block_design_microblaze_0_axi_intc_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_microblaze_0_axi_intc_0/Block_design_microblaze_0_axi_intc_0_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_microblaze_0_axi_intc_0/Block_design_microblaze_0_axi_intc_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_mdm_1_0/Block_design_mdm_1_0.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_mdm_1_0/Block_design_mdm_1_0_ooc_trace.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_xbar_1/Block_design_xbar_1_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_ds_0/Block_design_auto_ds_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_ds_0/Block_design_auto_ds_0_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_ds_1/Block_design_auto_ds_1_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_ds_1/Block_design_auto_ds_1_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_pc_0/Block_design_auto_pc_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_us_0/Block_design_auto_us_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_us_0/Block_design_auto_us_0_clocks.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_pc_1/Block_design_auto_pc_1_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/ip/Block_design_auto_pc_2/Block_design_auto_pc_2_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/Block_design_ooc.xdc]
set_property is_locked true [get_files /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/Block_design.bd]

read_vhdl -library xil_defaultlib /home/erik/marlin_zynq/marlin_zynq.srcs/sources_1/bd/Block_design/hdl/Block_design_wrapper.vhd
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc /home/erik/marlin_zynq/pins.xdc
set_property used_in_implementation false [get_files /home/erik/marlin_zynq/pins.xdc]

read_xdc dont_touch.xdc
set_property used_in_implementation false [get_files dont_touch.xdc]

synth_design -top Block_design_wrapper -part xc7z010clg400-1


write_checkpoint -force -noxdef Block_design_wrapper.dcp

catch { report_utilization -file Block_design_wrapper_utilization_synth.rpt -pb Block_design_wrapper_utilization_synth.pb }
